.\"	$NetBSD: spdmem.4,v 1.2 2008/09/17 12:37:41 pgoyette Exp $
.\"
.\"Copyright (c) 2007 Nicolas Joly
.\"Copyright (c) 2007 Paul Goyette
.\"All rights reserved.
.\"
.\"Redistribution and use in source and binary forms, with or without
.\"modification, are permitted provided that the following conditions
.\"are met:
.\"1. Redistributions of source code must retain the above copyright
.\"   notice, this list of conditions and the following disclaimer.
.\"2. Redistributions in binary form must reproduce the above copyright
.\"   notice, this list of conditions and the following disclaimer in the
.\"   documentation and/or other materials provided with the distribution.
.\"3. The name of the author may not be used to endorse or promote products
.\"   derived from this software without specific prior written permission.
.\"
.\"THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS
.\"``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\"TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\"PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\"BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\"CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\"SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\"INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\"CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\"ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\"POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd August 10, 2007
.Dt SPDMEM 4
.Os
.Sh NAME
.Nm spdmem
.Nd Generic Memory Module Serial Presence Detect
.Sh SYNOPSIS
.Cd "spdmem* at iic? addr 0x50"
.Cd "spdmem* at iic? addr 0x51"
.Cd "spdmem* at iic? addr 0x52"
.Cd "spdmem* at iic? addr 0x53"
.Sh DESCRIPTION
The
.Nm
driver provides support for generic memory module Serial Presence Detect.
During kernel boot it displays module type, and where possible, the size and
rated speed of the memory module. Additional information such as bank
configuration and width is printed if the kernel is booted in verbose mode.
.Pp
The Serial Presence Detect data for each memory module is also made accessible
to user mode via sysctl(8).  An entry for each 
.Nm
device is created under the 'hw' top-level MIB.
.Sh SEE ALSO
.Xr iic 4 ,
.Xr intro 4
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 5.0 .
.Sh AUTHORS
.An -nosplit
The
.Nm
driver was written by
.An Nicolas Joly <njoly@pasteur.fr>
with additional work by 
.An Paul Goyette <paul@whooppee.com> .
